﻿// -----------------------------------------------------------------------
// <copyright file="CustomAppointmentSelectionBehavior.cs" company="Microsoft">
// TODO: Update copyright text.
// </copyright>
// -----------------------------------------------------------------------

namespace RadScheduleViewExample
{
	using System;
	using System.Collections.Generic;
	using System.Linq;
	using System.Text;
	using Telerik.Windows.Controls.ScheduleView;
using Telerik.Windows.Controls;

	/// <summary>
	/// TODO: Update summary.
	/// </summary>
	public class CustomAppointmentSelectionBehavior : AppointmentSelectionBehavior
	{
		protected override IEnumerable<IOccurrence> GetSelectedAppointments(AppointmentSelectionState state, IOccurrence target)
		{
			var newSelection = Enumerable.Empty<IOccurrence>();
			var currentSelection = base.GetSelectedAppointments(state, target);
			foreach (var s in currentSelection)
			{
				var currentOccurrence = s as Occurrence;
				if (currentOccurrence != null)
				{
					   var occurrences = currentOccurrence.Appointment.GetOccurrences(new DateTime(2012, 1, 1), new DateTime(2012, 6, 1));
					   newSelection = newSelection.Union(occurrences);
				}
			}

			return newSelection.Union(currentSelection);
		}
	}

	public class CustomScheduleViewDragDropBehavior : ScheduleViewDragDropBehavior
	{
		public override bool CanResize(DragDropState state)
		{
			return false;
		}
	}
}
